Subject: Re: [stir] Definition of STIR

From: "Gorman, Pierce" <[email-masked]>
Date: Wed, 11 May 2022 18:04:31 +0000

I suppose you or others could volunteer attempts at a definition.  Once satisfactorily achieved, what would you do with it?  Not trying to be a smart alec.  I'm seriously curious.

I will volunteer that I think of "STIR" as being the collection of work in the IETF that is referenced in "SHAKEN" call authentication specifications in use in the US and Canada (so far).

"STIR" is the collection of work that tells you how to create a SIP Identity header of whatever type you need for a particular call type, and how to create an X.509 security certificate (chain) with extensions and constraints needed to verify the contents of a SIP Identity header.

"SHAKEN" (a body of work in the ATIS/SIP Forum Joint Task Force on IP-NNI) tells you how to create and use various SIP Identity types defined in "STIR" and about the governance, policy, and certificate authorization framework used to acquire SHAKEN-specific X.509 end-entity certificates.

Beyond this, the call authentication governance authorities in the US and Canada have created requirements and selected entities to be Policy Administrators (PAs) and also created Certificate Policies which outline the requirements to be an authorized (within their respective jurisdictions) Certification Authority (CA), thus creating the SHAKEN GA/PA/CA Secure Telephone Identity (STI) Public Key Infrastructures (PKIs).

I expect others can volunteer alternative, and potentially better, definitions.

Best regards,

Pierce Gorman

From: stir <[email-masked]> On Behalf Of Christer Holmberg
Sent: Wednesday, May 11, 2022 11:52 AM
To: [email-masked]
Subject: [stir] Definition of STIR

[External]

Hi,

What exactly is "STIR", other than the name of an IETF WG?

Sometimes "STIR" used in document titles, sometimes there is text saying "STIR"/"the STIR mechanism" does this and that, provides this and that etc. draft-ietf-stir-identity-header-errors-handling talks about "extending STIR".

RFC 7340 is supposed to describe the STIR problem, but 7340 does not even say what STIR stands for (Secure Telephone Identity Revisited), and there is no RFC named "STIR".

The question came up while I was reviewing the messaging draft, which says:

"Secure Telephone Identity Revisited (STIR) provides a means of attesting the identity of a telephone caller..."

Regards,

Christer